From 6bec438bc3e6cec06d5016c7f924a9dc7ede0460 Mon Sep 17 00:00:00 2001
From: Ittihadyya <Ittihadyya@collective-conciousness.monster>
Date: Fri, 20 Dec 2024 10:04:19 +0200
Subject: [PATCH] updated maximum media and emoji size for gotosocial

---
 services/murmur/murmur.mod.nix | 28 ----------------------------
 services/social/gts.mod.nix    |  8 ++++----
 2 files changed, 4 insertions(+), 32 deletions(-)
 delete mode 100644 services/murmur/murmur.mod.nix

diff --git a/services/murmur/murmur.mod.nix b/services/murmur/murmur.mod.nix
deleted file mode 100644
index 9cca441..0000000
--- a/services/murmur/murmur.mod.nix
+++ /dev/null
@@ -1,28 +0,0 @@
-{
-  glucose.modules = [
-    (
-      {
-        pkgs,
-        config,
-        lib,
-        ...
-      }: {
-        services.murmur = {
-          enable = true;
-
-          environmentFile = "${config.sops.templates."murmur.env.secrets.yaml".path}";
-          # the environment variables are provided by, evidently, the environment file.
-          welcometext = "$MURMUR_WELCOME_MESSAGE";
-          # registerPassword = "$MURMUR_REGISTRY_PASSWORD"; # removed as we realized we don't actually want it to be a public server.
-          password = "$MURMUR_LOGIN_PASSWORD";
-
-          port = 64738; # tcp/udp - this is the default but i'm writing it out as to not have to dig into the declaration every time i need to know which port it is.
-          openFirewall = false;
-          registerName = "Adyya's cave of hushed tones";
-          registerUrl = "https://mumble.collective-conciousness.monster";
-          registerHostname = "mumble.collective-conciousness.mosnter"; # i vaguely know what the difference between these two are but it is a bit strange, i guess.
-        };
-      }
-    )
-  ];
-}
diff --git a/services/social/gts.mod.nix b/services/social/gts.mod.nix
index 99cb22c..9d5f953 100644
--- a/services/social/gts.mod.nix
+++ b/services/social/gts.mod.nix
@@ -71,12 +71,12 @@
             accounts-custom-css-length = 10000;
 
             ### Media config
-            media-local-max-size = "1GiB";
-            media-remote-max-size = "50MiB";
+            media-local-max-size = "2GiB";
+            media-remote-max-size = "250MiB";
             media-description-min-chars = 36;
             media-description-max-chars = 16200;
-            media-emoji-local-max-size = "128KiB"; # may need to increase this in the future.
-            media-emoji-remote-max-size = "256KiB";
+            media-emoji-local-max-size = "512KiB"; # may need to increase this in the future.
+            media-emoji-remote-max-size = "512KiB";
             media-ffmpeg-pool-size = 2;
             media-remote-cache-days = 7;
             media-cleanup-from = "01:00";
